org.apache.avro.io.parsing

## Class Symbol.EnumAdjustAction

- java.lang.Object
- - org.apache.avro.io.parsing.Symbol
  - - org.apache.avro.io.parsing.Symbol.IntCheckAction
    - - org.apache.avro.io.parsing.Symbol.EnumAdjustAction

Enclosing class:
  Symbol

    public static class Symbol.EnumAdjustAction
    extends Symbol.IntCheckAction

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.avro.io.parsing.Symbol

`Symbol.Alternative, Symbol.DefaultStartAction, Symbol.EnumAdjustAction, Symbol.EnumLabelsAction, Symbol.ErrorAction, Symbol.FieldAdjustAction, Symbol.FieldOrderAction, Symbol.ImplicitAction, Symbol.IntCheckAction, Symbol.Kind, Symbol.Repeater, Symbol.ResolvingAction, Symbol.Root, Symbol.Sequence, Symbol.SkipAction, Symbol.UnionAdjustAction, Symbol.WriterUnionAction`

### Field Summary

Fields
`Object[]` `adjustments`
`boolean` `noAdjustments`

### Fields inherited from class org.apache.avro.io.parsing.Symbol.IntCheckAction

`size`

### Fields inherited from class org.apache.avro.io.parsing.Symbol

`ARRAY_END, ARRAY_START, BOOLEAN, BYTES, DEFAULT_END_ACTION, DOUBLE, ENUM, FIELD_ACTION, FIELD_END, FIXED, FLOAT, INT, ITEM_END, kind, LONG, MAP_END, MAP_KEY_MARKER, MAP_START, NULL, production, RECORD_END, RECORD_START, STRING, UNION, UNION_END, WRITER_UNION_ACTION`

### Constructor Summary

Constructors
Constructor and Description
`EnumAdjustAction(int rsymCount, Object[] adjustments)` Deprecated.

### Method Summary

### Methods inherited from class org.apache.avro.io.parsing.Symbol

`defaultStartAction, enumAdjustAction, enumLabelsAction, fieldAdjustAction, fieldOrderAction, flatten, flattenedSize, flattenedSize, hasErrors, intCheckAction, skipAction, unionAdjustAction, writerUnionAction`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### noAdjustments

    public final boolean noAdjustments

#### adjustments

    public final Object[] adjustments

### Constructor Detail

#### EnumAdjustAction

    @Deprecated
    public EnumAdjustAction(int rsymCount,
                                        Object[] adjustments)

Deprecated.